Name:           xa
Version:        2.4.1
Release:        %mkrel 2
Summary:        6502/65816 cross-assembler

Group:          Development/Other
License:        GPLv2+
URL:            https://www.floodgap.com/retrotech/xa/
Source0:        https://www.floodgap.com/retrotech/%{name}/dists/%{name}-%{version}.tar.gz
# update the build system, reported in private email
Patch0:         %{name}-2.4.1-make.patch


%description
xa is a high-speed, two-pass portable cross-assembler. It understands
mnemonics and generates code for NMOS 6502s (such as 6502A, 6504, 6507,
6510, 7501, 8500, 8501, 8502 ...), CMOS 6502s (65C02 and Rockwell R65C02)
and the 65816.

Key amongst its features:

    * C-like preprocessor (and understands cpp for additional feature support)
    * rich expression syntax and pseudo-op vocabulary
    * multiple character sets
    * binary linking
    * supports o65 relocatable objects with a full linker and relocation suite, 
      as well as "bare" plain binary object files
    * block structure for label scoping 


%prep
%autosetup -p1

# fix encoding
for f in ChangeLog attic/doc/xa-de.txt attic/doc/fileformat.txt
do
    iconv -f ISO-8859-1 -t UTF-8 < $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done


%build
%make_build CFLAGS="%{optflags}"

%install
%make_install PREFIX=%_prefix

%check
# Tests fail if run in parallel
%__make test

%files
%doc ChangeLog README.1st attic/doc/xa.txt attic/doc/fileformat.txt
%lang(de) %doc attic/doc/xa-de.txt
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.4.1-2.mga10
+ Revision: 2222365
- Mageia 10 Mass Rebuild

* Fri Apr 26 2024 daviddavid <daviddavid> 2.4.1-1.mga10
+ Revision: 2061216
- new version: 2.4.1

* Tue Mar 15 2022 umeabot <umeabot> 2.3.11-2.mga9
+ Revision: 1792817
- Mageia 9 Mass Rebuild

* Fri May 15 2020 danf <danf> 2.3.11-1.mga8
+ Revision: 1584186
- Upgrade to 2.3.11
- Switch http: links to https:
- Enable regression tests during packaging
- Package the german manual & the file format doc

* Fri Feb 14 2020 umeabot <umeabot> 2.3.8-2.mga8
+ Revision: 1521877
- Mageia 8 Mass Rebuild

* Thu Jan 03 2019 daviddavid <daviddavid> 2.3.8-1.mga7
+ Revision: 1348928
- new version: 2.3.8

* Sun Sep 23 2018 umeabot <umeabot> 2.3.7-3.mga7
+ Revision: 1301793
- Mageia 7 Mass Rebuild

* Wed Jan 13 2016 gw666 <gw666> 2.3.7-2.mga6
+ Revision: 922454
- rebuild

* Wed Jul 08 2015 gw666 <gw666> 2.3.7-1.mga6
+ Revision: 852734
- un-fuzz the patch
- drop patch 0
- new version 2.3.7

* Mon Oct 20 2014 gw666 <gw666> 2.3.5-1.mga5
+ Revision: 792243
- imported package xa


* Mon Oct 20 2014 Götz Waschk <goetz@virginterminator.virginterminator> 2.3.5-1.mga4
- build for Mageia

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Dan Horák <dan[at]danny.cz> - 2.3.5-10
- spec cleanup

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Dan Horák <dan[at]danny.cz> - 2.3.5-3
- move the INSTALL override to "make install"
- comment the patches

* Tue Mar 31 2009 Dan Horák <dan[at]danny.cz> - 2.3.5-2
- don't use hardcoded /usr
- preserve timestamps when using "install"

* Sat Feb 21 2009 Dan Horák <dan[at]danny.cz> - 2.3.5-1
- initial Fedora version
